Skip to main content
GET
/
api
/
admin
/
v1
/
deploymentTargets
/
{deploymentTargetId}
Gets a Deployment Target
curl --request GET \
  --url https://api.example.com/api/admin/v1/deploymentTargets/{deploymentTargetId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "configuration": {},
  "deploymentTargetTypeId": "<string>",
  "deploymentTargetTypeName": "<string>",
  "id": "<string>",
  "isGloballyAccessible": true,
  "lastModified": "2023-11-07T05:31:56Z",
  "name": "Production",
  "userAndOrganizationIds": [
    "<string>"
  ],
  "defaultResourceConfigurationId": "<string>",
  "resourceConfigurations": [
    {
      "configuration": {},
      "deploymentTargetId": "<string>",
      "id": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "name": "gpu_large",
      "description": "<string>"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

deploymentTargetId
string
required

ID of Deployment Target

Response

Success

Deployment Target

configuration
object
required

Configuration of this Deployment Target following the schema in its Deployment Target Type

deploymentTargetTypeId
string
required

ID of the Deployment Target Type this Deployment Target belongs to

deploymentTargetTypeName
string
required

Name of the Deployment Target Type this Deployment Target belongs to

id
string
required

UUID for the Deployment Target

isGloballyAccessible
boolean
required

Whether or not the Deployment Target is globally accessible

lastModified
string<date-time>
required

Timestamp of the last update to the deployment target (will be the creation timestamp on creation)

name
string
required

Internal name for the Deployment Target

Example:

"Production"

userAndOrganizationIds
string[]
required

User and Organization IDs that can use this Deployment Target

defaultResourceConfigurationId
string

The ID of the default resource configuration

resourceConfigurations
object[]